# Scanning

```xml
<resources>
    <string name="uq_scan_help_page_title">Scan %1$s</string>
    <string name="uq_scan_upload_page_title">Upload %1$s</string>
    <string name="uq_scan_help_page_description">Fit %1$s to the frame</string>
    <string name="uq_scan_info_id">If there are glares or reflections scan in a different position. Ensure camera lens is clean.</string>
    <string name="uq_scan_scan_info">Please scan the %1$s page of your document</string>
    <string name="uq_scan_glare_detected">Avoid light reflections on the document</string>
    <string name="uq_scan_message">Fit %1$s side to the frame</string>
    <string name="uq_scan_done_message_single_side">Scanning Completed</string>
    <string name="uq_scan_message_single_side">Fit data page to frame</string>
    <string name="uq_scan_message_mrz">Fit the document side that contains the MRZ (Machine Readable Zone) to the frame</string>
    <string name="uq_scan_review">Scan Review</string>
    <string name="uq_scan_text_visible">Ensure all data is clearly readable</string>
    <string name="uq_scan_face_visible">Ensure your face is clearly visible\nand no hologram is covering it</string>
    <string name="uq_scan_rescan">Rescan</string>
    <string name="uq_scan_continue">Continue</string>
    <string name="uq_scan_upload_select_file">Select File</string>
    <string name="uq_scan_upload_accepted_file_type">Accepted file type: PDF</string>
    <string name="uq_scan_upload_tip">For a two side document the first image in the PDF must be the front side and the second image the back side</string>
    <string name="uq_scan_upload_no_file_selected">No file selected</string>
    <string name="uq_scan_upload_max_file_size">Max file size allowed is 5MB</string>
    <string name="uq_scan_face_detection_issue">Photo not clear. Please move to better lighting</string>
    <string name="uq_scan_blur_image_detected">Unclear image. Don\'t move during the scan and ensure good lighting</string>
    <string name="uq_scan_finger_detected">Please do not cover the document with your fingers</string>
    <string name="uq_scan_dark_image_detected">Low light conditions detected, please ensure good lighting while scanning</string>
    <string name="uq_scan_wrong_document">Please provide the %1$s side of the %2$s</string>
    <string name="uq_scan_wrong_mrz">Please provide the document side that contains the MRZ (Machine Readable Zone)</string>
    <string name="uq_scan_document_move_center">Position the document in the center of the frame</string>
    <string name="uq_scan_document_move_closer">Please move the camera closer to the document</string>
    <string name="uq_scan_source_detection_failed">Please provide the original document. No screen and printed copies allowed</string>
    <string name="uq_scan_id_photo_tampering_detected">An alteration of the ID photo has been detected. Tampering with the ID photo is strictly prohibited</string>
    <string name="uq_scan_intermediate_loading">DO NOT MOVE</string>
    <string name="uq_scan_event_alert_btn">Try Again</string>
    <string name="uq_scan_turn_text">Turn document over</string>
    <string name="uq_scan_error_failed">Scanning Failed</string>
    <string name="uq_scan_error_expired">Please make sure to use a valid document</string>
    <string name="uq_scan_error_age_verification">Document not accepted, minimum age required %1$d</string>
    <string name="uq_scan_error_document_identify"><![CDATA[<b>Ensure:\n1. </b> Good lighting conditions\n<b>2.</b> Camera lens is clean\n<b>3.</b> No reflections on document\n<b>4.</b> Remove any stickers on the document]]></string>
    <string name="uq_scan_error_upload_document_identify">Make sure that the PDF contains the requested document and it is clearly visible. For a two side document the front side must be the first picture, the back side the second picture</string>
</resources>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-sdk/integration/android/ui-customisation/text-and-language/scanning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
